NameVirtualHost *:80

<VirtualHost *:80>
        ServerName www.domain.com
        ServerAlias *.domain.com
        DocumentRoot "/usr/local/www/www.domain.com/htdocs"
        SuexecUserGroup user group 

        <Directory "/usr/local/www/www.domain.com/htdocs">
                Options -Indexes FollowSymLinks +ExecCGI MultiViews
                AllowOverride All
                AddHandler fcgid-script .php .phps
                FcgidWrapper /var/www/localhost/cgi-bin/php .php
                FcgidWrapper /var/www/localhost/cgi-bin/php .phps
                Order allow,deny
                Allow from all
        </Directory>

        Alias /qa "/usr/local/www/www.domain.com/qa"
        <Directory "/usr/local/www/www.domain.com/qa">
                Options -Indexes FollowSymLinks +ExecCGI MultiViews
                AllowOverride None
                DirectoryIndex index.php
                AddHandler fcgid-script .php .phps
                FcgidWrapper /var/www/localhost/cgi-bin/php .php
                FcgidWrapper /var/www/localhost/cgi-bin/php .phps
                Order deny,allow
                Deny from all
                Allow from 1.2.3.4
                Allow from 127.0.0.1
        </Directory>

        Alias /mysql "/usr/local/www/www.domain.com/mysql"
        <Directory "/usr/local/www/www.domain.com/mysql">
                Order deny,allow
                Deny from all
                Allow from 1.2.3.4
                Allow from 127.0.0.1
                RewriteCond %{HTTPS} off
                RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}
        </Directory>

        ErrorLog "/var/log/www.domain.com-error_log"
        CustomLog "/var/log/www.domain.com-access_log" common

</VirtualHost>
